package com.ema.common.aspect.logger;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 操作日志类型枚举
 */
@Getter
@AllArgsConstructor
public enum LogTypeEnum {
    //日志类型（0：登录；1：查询；2：新增；3：修改；4：删除；5：登出 ；6：导出；7：审核 ）
    LOGIN("0", "登录"),
    QUERY("1", "查询"),
    ADD("2", "新增"),
    UPDATE("3", "修改"),
    DELETE("4", "删除"),
    LOGOUT("5", "登出"),
    EXPORT("6", "导出"),
    AUDIT("7", "审核"),
    PUSH("8", "推送"),
    EXECUTE("9", "执行"),
    BATCH("10", "批量操作"),
    REGISTER("11", "注册"),
    ;
    private String value;
    private String describe;

    public static String getDescribe(String value) {
        for (LogTypeEnum p : LogTypeEnum.values()) {
            if (p.getValue().equals(value)) {
                return p.describe;
            }
        }
        return null;
    }
}
